<?php

use Zizaco\Confide\ConfideUser;
use BigElephant\Presenter\PresentableInterface;

class Group extends ConfideUser implements PresentableInterface {

    /**
     * Same presenter as the user model.
     * @return BigElephant\Presenter\BigElephant\Presenter\Presenter|UserPresenter
     */
    public function getPresenter()
    {
        return new UserPresenter($this);
    }
	/**
	 * Returns the user full name, it simply
	 * concatenates the first and last name.
	 *
	 * @return string
	 */
	public function fullName()
	{
		return $this->first_name . ' ' . $this->last_name;
	}

	/**
	 * Returns the date of the user creation,
	 * on a good and more readable format :)
	 *
	 * @return string
	 */
	public function created_at()
	{
		return ExpressiveDate::make($this->created_at)->getRelativeDate();
	}

	/**
	 * Returns the date of the user last update,
	 * on a good and more readable format :)
	 *
	 * @return string
	 */
	public function updated_at()
	{
		return ExpressiveDate::make($this->updated_at)->getRelativeDate();
	}

}
